[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.Columns

Number of columns used to display radio buttons in the control.

## Declaration

Source position: extctrls.pp line 776

`public property TCustomRadioGroup.Columns : Integer read FColumns write SetColumns default 1;`

## Description

Columns is an Integer property that indicates the number of columns used to display the radio buttons in the control. Columns must contain a positive non-zero value; use of an invalid value causes an Exception to be raised.

Changing the value in Columns causes the UpdateControlsPerLine to be called.

The default value for the property is 1.

## Errors

Raises an exception when the property value is less than 1. Raised with the message 'TCustomRadioGroup: Columns must be >= 1'.